# 32/64bit spec-file
#
%define name unetbootin
%define revision 583
%define version	%{revision}
%define rel	2
%define dont_strip=1

Summary:        Tool for creating Live USB drives
Summary(pl):	Narzędzie do utworzenia butowalnego pendrive
Name:		%{name}
Version:	%{version}
Release:	%mkrel %rel
URL:            http://unetbootin.sourceforge.net/
License:	GPLv2+
Group:          System/Configuration/Other 
Source:         %{name}-source-%{revision}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
ExclusiveArch:	%{ix86} x86_64
BuildRequires:	desktop-file-utils
BuildRequires:	qt4-devel
Requires:       mtools p7zip udev util-linux syslinux
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.1

%description
UNetbootin allows for the installation of various Linux/BSD distributions
to a partition or USB drive, so it's no different from a standard install,
only it doesn't need a CD. It can create a dual-boot install,
or replace the existing OS entirely.
You can either let it download one of the many distributions supported
out-of-the-box for you, or supply your own Linux .iso file if you've already
downloaded one or your preferred distribution isn't on the list.

%prep
%setup -q -c

# fix PCLinuxOS download URL
sed -i -e 's|http://distro.ibiblio.org/pub/linux/distributions/texstar/pclinuxos/live-cd/english/preview/|http://ftp.nluug.nl/pub/os/Linux/distr/pclinuxos/pclinuxos/live-cd/|g' distrolst.cpp        

# fix distrover.cpp manually to show latest current entries for our isos, then compress to new sources


%build
lupdate unetbootin.pro
lrelease unetbootin.pro
qmake

%make

%install
rm -rf %{buildroot}
install -D -m 0755 %{name} %{buildroot}%{_bindir}/%{name}

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=UNetbootin
Comment=Tool for creating Live USB drives
Exec=%{_bindir}/%{name} 
Icon=/usr/share/icons/hicolor/32x32/apps/unetbootin.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Configuration;System;
EOF

# Install localization files
install -d %{buildroot}%{_datadir}/unetbootin
install -c -p -m 644 unetbootin_*.qm %{buildroot}%{_datadir}/unetbootin/

# Install icons
install -D -c -p -m 644 unetbootin_16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_22.png %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_24.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_192.png %{buildroot}%{_datadir}/icons/hicolor/192x192/apps/unetbootin.png
install -D -c -p -m 644 unetbootin_256.png %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/unetbootin.png


%clean
rm -rf %{buildroot}


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README.TXT
%{_bindir}/unetbootin
%{_datadir}/unetbootin/
%{_datadir}/icons/hicolor/*/*
%{_datadir}/applications/*

%changelog
* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 583-2pclos2013
- fixed PCLinuxOS download URL
- changed distrover.cpp in source to show PCLinuxOS entries in GUI
- removed sbin entry

* Sat Mar 23 2013 pinoc <vogtpet at gmail.com> 583-1pclos2013
- 583
- changed to build from source to get 32/64

* Sat May 12 2012 Neal <nealbrks0 at gmail dot com> 575-1pclos2012
- process

* Sat May 12 2012 TerryN <terryn94 at gmail.com> 575-1pclos2012
- 575

* Mon Mar 05 2012 Neal <nealbrks0 at gmail dot com> 568-1pclos2012
- process

* Mon Mar 05 2012 TerryN <terryn94 at gmail.com> 568-1pclos2012
- 568

* Tue May 10 2011 siamer <siamer@wp.pl> 549-1pclos2011
- 549

* Mon Feb 28 2011 Texstar <texstar at gmail.com> 502-1pclos2011
- 502

* Thu May 13 2010 slick50 <lxgator@gmail.com> 442-1pclos2010
- 442

* Fri Sep 11 2009 Texstar <texstar@gmail.com> 0.0.356-1pclos2009
- 0.0.356

* Wed Jul 02 2009 <atilla_ontas@mandriva.org> - 0.0.356-1mvt2009.1
 -Initial RPM


